Members report - Error #448

Undefined method labels_x_rotation=
2011-03-08 08:54 - Emilio Gonzalez Montafia

Status: Resolved Start date: 2011-03-10
Priority: Normal Due date: 2011-03-10
Assignee: Emilio Gonzalez Montafia % Done: 100%
Category: Gruff Estimated time: 0.00 hour
Target version: Members report 0.1.0

Source: Redmine version:

Detected on version:

Description

Processing MembersReportController#graph_lines (for 192.168.0.1 at 2011-03-08 08:14:19) [GET]

Parameters: {"v"=>["0.00", "O0.O0O0", "17.55", "31.23"], "1"=>["AAA", "BBB"], "action"=>"graph_line
s", "amp"=>nil, "id"=>"mmc-ioc-vv", "controller"=>"members_report", "s"=>"800x400", "t"=>["2011-01
-31", "2011-02-07"1}

NoMethodError (undefined method "~labels_x_rotation=' for #<Gruff::Line:0x8570688>):
vendor/plugins/members_report/app/controllers/members_report_controller.rb:28:in “graph_lines'

Rendering C:/Archivos de programa/BitNami Redmine Stack/apps/redmine/public/500.html (500 Internal
Server Error)

labels_x_rotation attribute must be added to Gruff library.

Related issues:

Related to Members report - Feature #444: All members worked time graphs (est... Resolved 2011-03-07 2011-03-07
Related to Members report - Feature #446: My worked time graph (estimated and... Resolved 2011-03-07 2011-03-07
Blocked by Members report - Error #447: Gruff on lib folder isn't used Resolved 2011-03-10 2011-03-10

Associated revisions

Revision 1111 - 2011-03-10 12:19 - Emilio Gonzalez Montaha
#448

e Added attribute labels_x_rotation to MembersReport::Gruff::Base.

History

#1 - 2011-03-10 12:19 - Emilio Gonzalez Montafa
- Due date set to 2011-03-10

- Status changed from New to Resolved

- Assignee set to Emilio Gonzéalez Montana

- Start date set to 2011-03-10

- % Done changed from 0 to 100
